image: python:latest

#cache:
#  paths:
#    - .cache/pip
#    - venv/

stages:
  - verify
  - test
  - package
  - deploy

before_script:
  - python -V               # Print out python version for debugging
  - pip install virtualenv tox pylint flake8 flake8-docstrings pydocstyle pytest pytest-cov
  - virtualenv venv
  - source venv/bin/activate

#tox:
#  stage: test
#  script:
#  - tox -e lint ./src/*.py

flake8:
  stage: verify
  script:
  - flake8 ./tankerkoenig_api/*.py
  except:
  - master
  - tags

tox:
  stage: test
  script:
  - tox
  except:
  - master
  - tags

build:
  stage: package
  script:
    - python setup.py sdist
  artifacts:
    paths:
    - dist/*
  except:
  - master

deploy:
  stage: deploy
  script:
    - pip install twine
    - twine upload dist/*
  only:
  - tags



